libzypp 17.37.10

zypp::UByteArray Class Reference

`#include <zypp-core/ByteArray.h>`

Inheritance diagram for zypp::UByteArray:

## Public Member Functions
| UByteArray (const char *data, const int len=-1)

## Static Public Member Functions
static std::size_t | maxSize ()

## Detailed Description

Definition at line 45 of file ByteArray.h.

## Constructor & Destructor Documentation

## ◆ UByteArray()

zypp::UByteArray::UByteArray | ( | const char * | data,
|  | const int | len = -1 )
| inline explicit

Definition at line 49 of file ByteArray.h.

## Member Function Documentation

## ◆ maxSize()

std::size_t zypp::UByteArray::maxSize | ( |  | ) |
| inline static

Definition at line 51 of file ByteArray.h.

The documentation for this class was generated from the following file:

- zypp-core/ByteArray.h